petsc-3.6.2 2015-10-02
Report Typos and Errors

# DMGetDimension

Return the topological dimension of the DM

### Synopsis

    #include "petscdm.h"
    PetscErrorCode DMGetDimension(DM dm, PetscInt *dim)

Not collective

### Input Parameter

dm -The DM

### Output Parameter

dim -The topological dimension

### See Also

DMSetDimension(), DMCreate()

Level:beginner
Location:src/dm/interface/dm.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ts/examples/tutorials/ex11.c.html